# - Find X11 installation
# Try to find X11 on UNIX systems. The following values are defined
#  X11_FOUND        - True if X11 is available
#  X11_INCLUDE_DIR  - include directories to use X11
#  X11_LIBRARIES    - link against these to use X11

IF (UNIX)
	FIND_PACKAGE(X11)
		SET(XMU_FOUND 0)

		IF(X11_FOUND)
		FIND_PATH(X11_Xmu_INCLUDE_PATH Xmu/Xmu.h ${X11_INC_SEARCH_PATH})
		FIND_LIBRARY(X11_Xmu_LIB Xmu ${X11_LIB_SEARCH_PATH})

		IF(X11_Xmu_INCLUDE_PATH)
			SET(X11_INCLUDE_DIR ${X11_INCLUDE_DIR} ${X11_Xmu_INCLUDE_PATH})
		ENDIF(X11_Xmu_INCLUDE_PATH)

		IF(X11_Xmu_LIB)
			SET(X11_LIBRARIES ${X11_LIBRARIES} ${X11_Xmu_LIB})
			SET(XMU_FOUND 1)
		ENDIF(X11_Xmu_LIB)

		MARK_AS_ADVANCED(
			X11_Xmu_INCLUDE_PATH
			X11_Xmu_LIB
			)
	ENDIF(X11_FOUND)
ENDIF (UNIX)
