/*
 -------------------------------------------------------------------------------
 | Producer - Copyright (C) 2001-2007  Don Burns                               |
 |                                                                             |
 | This library is free software; you can redistribute it and/or modify        |
 | it under the terms of the GNU Lesser General Public License as published    |
 | by the Free Software Foundation; either version 3 of the License, or        |
 | (at your option) any later version.                                         |
 |                                                                             |
 | This library is distributed in the hope that it will be useful, but         |
 | WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY  |
 | or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public     |
 | License for more details.                                                   |
 |                                                                             |
 | You should have received a copy of the GNU Lesser General Public License    |
 | along with this software; if not, write to the Free Software Foundation,    |
 | Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.               |
 |                                                                             |
 -------------------------------------------------------------------------------
 */

#include <qapplication.h>
#include "QProducer.h"

int main( int argc, char **argv )
{
    int timer_interval = 10;			// timer interval (millisec)
    QApplication::setColorSpec( QApplication::CustomColor );
    QApplication a( argc, argv );

    if ( !QGLFormat::hasOpenGL() ) 
    {
	    qWarning( "This system has no OpenGL support. Exiting." );
	    return -1;
    }

    if ( argc >= 2 ) 
    {
	    bool ok = TRUE;
	    timer_interval = QString::fromLatin1( argv[1] ).toInt( &ok );
	    if ( !ok )
	        timer_interval = 10;
    }

    QProducer qProducer;
    qProducer.setTimerInterval( timer_interval );
    qProducer.setFixedSize( 640, 480 );
    a.setMainWidget( &qProducer );
    qProducer.show();
    return a.exec();
}
